
Foreman - Bug #1899

Can't create new ovirt VM due to http 302 error

10/16/2012 12:57 PM - viet nguyen

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Compute resources   

Target version: 1.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

If ovirt rest api requires https and Compute URL is set to http VM creation will fail

Failed to save: Failed to create a compute jon-rhev (oVirt) instance zzz: 302 Found

/usr/lib/ruby/gems/1.8/gems/rbovirt-0.0.12/lib/rbovirt.rb:131:in `handle_fault'

/usr/lib/ruby/gems/1.8/gems/rbovirt-0.0.12/lib/rbovirt.rb:77:in `http_post'

/usr/lib/ruby/gems/1.8/gems/rbovirt-0.0.12/lib/client/vm_api.rb:18:in `create_vm'

/usr/lib/ruby/gems/1.8/gems/fog-1.6.0/lib/fog/ovirt/requests/compute/create_vm.rb:7:in `create_vm'

/usr/lib/ruby/gems/1.8/gems/fog-1.6.0/lib/fog/ovirt/models/compute/server.rb:122:in `save'

Related issues:

Related to Foreman - Bug #2061: HTTPS URL for oVirt shouldn't be mandatory Closed 12/19/2012

Associated revisions

Revision dcb32cd5 - 11/28/2012 09:50 AM - Dominic Cleal

fixes #1899 require HTTPS URL for oVirt API, now HTTPS-only

History

#1 - 11/13/2012 12:16 PM - Greg Sutcliffe

- Target version set to Bug scrub

#2 - 11/15/2012 08:46 AM - Dominic Cleal

- Status changed from New to Assigned

- Assignee set to Dominic Cleal

#3 - 11/15/2012 11:09 AM - Dominic Cleal

- Category set to Compute resources

https://github.com/theforeman/foreman/pull/245

#4 - 11/28/2012 10:16 AM - Ohad Levy

- Target version changed from Bug scrub to 1.1

#5 - 11/28/2012 10:37 AM - Dominic Cleal

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset dcb32cd53ed44b4834686e95f004eeb9b5965c08.
